.mobile-catalog {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  flex-direction: column;
  width: 100%;
  height: 100%;
  background-color: white;
  display: none;
  color: var(--color-text);
  --link-color: var(--color-text);
}

.mobile-catalog--open {
  display: flex;
}

.mobile-catalog__content {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.mobile-catalog__head {
  display: flex;
  border-bottom: 1px solid var(--color-border-light);
  font-weight: bold;
  align-items: center;
}

.mobile-catalog__back-container {
  width: 48px;
}

.mobile-catalog__back {
  width: 48px;
  height: 48px;
  background-color: transparent;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

.mobile-catalog__back::before {
  content: '';
  display: block;
  width: 24px;
  height: 24px;
  background: url('../../../icons/111111/chevron-left.svg') center;
  background-size: 24px;
}

.mobile-catalog__close {
  width: 48px;
  height: 48px;
  background-color: transparent;
  border: none;
}

.mobile-catalog__close::before {
  content: '';
  display: block;
  width: 24px;
  height: 24px;
  background: url('../../../icons/111111/close.svg') center;
  background-size: 24px;
}

.mobile-catalog__title {
  flex: 1;
  text-align: center;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

.mobile-catalog__body {
  position: relative;
  width: 100%;
  height: 100%;
  flex: 1;
}

.mobile-catalog__menu {
  position: absolute;
  top: 0;
  left: 0;
  overflow-x: auto;
  width: 100%;
  height: 100%;
  background-color: white;
}

.mobile-catalog__menu-item {
  display: flex;
  padding: var(--spacing-sm) var(--spacing-xs) var(--spacing-sm) 0;
  cursor: pointer;
  align-items: center;
  text-decoration: none;
  color: inherit;
  border-bottom: 1px solid var(--color-border-light);
  position: relative;
}

.mobile-catalog__menu-item--has-children::after {
  content: '';
  display: block;
  width: 24px;
  height: 24px;
  background: url('../../../icons/111111/chevron-right.svg') center;
  background-size: 24px;
}

.mobile-catalog__menu-item--has-children::after {
  font: var(--typography-headline-small);
}

.mobile-catalog__menu-item--special {
  color: var(--color-primary);
  font-weight: bold;
}

.mobile-catalog__menu-label {
  flex: 1;
  margin: 0 var(--spacing-sm);
}
